/*
 * JCusparse - Java bindings for CUSPARSE, the NVIDIA CUDA sparse
 * matrix library, to be used with JCuda
 *
 * Copyright (c) 2010-2011 Marco Hutter - http://www.jcuda.org
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class jcuda_jcusparse_JCusparse2 */

#ifndef _Included_jcuda_jcusparse_JCusparse2
#define _Included_jcuda_jcusparse_JCusparse2
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    setLogLevelNative
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_jcuda_jcusparse_JCusparse2_setLogLevelNative
  (JNIEnv *, jclass, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCreateNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCreateNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDestroyNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDestroyNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseGetVersionNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;[I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseGetVersionNative
  (JNIEnv *, jclass, jobject, jintArray);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSetStreamNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/runtime/cudaStream_t;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSetStreamNative
  (JNIEnv *, jclass, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseGetPointerModeNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;[I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseGetPointerModeNative
  (JNIEnv *, jclass, jobject, jintArray);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSetPointerModeNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSetPointerModeNative
  (JNIEnv *, jclass, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCreateMatDescrNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCreateMatDescrNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDestroyMatDescrNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDestroyMatDescrNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSetMatTypeNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSetMatTypeNative
  (JNIEnv *, jclass, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseGetMatTypeNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseGetMatTypeNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSetMatFillModeNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSetMatFillModeNative
  (JNIEnv *, jclass, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseGetMatFillModeNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseGetMatFillModeNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSetMatDiagTypeNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSetMatDiagTypeNative
  (JNIEnv *, jclass, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseGetMatDiagTypeNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseGetMatDiagTypeNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSetMatIndexBaseNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSetMatIndexBaseNative
  (JNIEnv *, jclass, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseGetMatIndexBaseNative
 * Signature: (Ljcuda/jcusparse/cusparseMatDescr;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseGetMatIndexBaseNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCreateSolveAnalysisInfoNative
 * Signature: (Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCreateSolveAnalysisInfoNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDestroySolveAnalysisInfoNative
 * Signature: (Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDestroySolveAnalysisInfoNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCreateHybMatNative
 * Signature: (Ljcuda/jcusparse/cusparseHybMat;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCreateHybMatNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDestroyHybMatNative
 * Signature: (Ljcuda/jcusparse/cusparseHybMat;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDestroyHybMatNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSaxpyiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSaxpyiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDaxpyiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDaxpyiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCaxpyiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCaxpyiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZaxpyiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZaxpyiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSdotiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSdotiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDdotiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDdotiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCdotiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCdotiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZdotiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZdotiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCdotciNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCdotciNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZdotciNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZdotciNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSgthrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSgthrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDgthrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDgthrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCgthrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCgthrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZgthrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZgthrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSgthrzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSgthrzNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDgthrzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDgthrzNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCgthrzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCgthrzNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZgthrzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZgthrzNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSsctrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSsctrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDsctrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDsctrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCsctrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCsctrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZsctrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZsctrNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSrotiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSrotiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDrotiNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDrotiNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsrmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsrmvNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsrmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsrmvNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsrmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsrmvNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsrmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsrmvNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseShybmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseShybmvNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDhybmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDhybmvNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseChybmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseChybmvNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZhybmvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZhybmvNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsrsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsrsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsrsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsrsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsrsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsrsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsrsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsrsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsrsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsrsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsrsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsrsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsrsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsrsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsrsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsrsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseShybsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseShybsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDhybsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDhybsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseChybsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseChybsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZhybsv_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZhybsv_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseShybsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseShybsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseChybsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseChybsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDhybsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDhybsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZhybsv_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZhybsv_1solveNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsrmmNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsrmmNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsrmmNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsrmmNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsrmmNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsrmmNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsrmmNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIIIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsrmmNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsrsm_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsrsm_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsrsm_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsrsm_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsrsm_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsrsm_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsrsm_analysisNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsrsm_1analysisNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsrsm_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;ILjcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsrsm_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsrsm_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;ILjcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsrsm_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsrsm_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;ILjcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsrsm_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsrsm_solveNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseSolveAnalysisInfo;Ljcuda/Pointer;ILjcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsrsm_1solveNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jobject, jint, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSgtsvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSgtsvNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDgtsvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDgtsvNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCgtsvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCgtsvNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZgtsvNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZgtsvNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSgtsvStridedBatchNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSgtsvStridedBatchNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDgtsvStridedBatchNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDgtsvStridedBatchNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCgtsvStridedBatchNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCgtsvStridedBatchNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZgtsvStridedBatchNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZgtsvStridedBatchNative
  (JNIEnv *, jclass, jobject, jint, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSnnzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSnnzNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jint, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDnnzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDnnzNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jint, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCnnzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCnnzNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jint, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZnnzNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZnnzNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jint, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSdense2csrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSdense2csrNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDdense2csrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDdense2csrNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCdense2csrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCdense2csrNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZdense2csrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZdense2csrNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsr2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsr2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsr2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsr2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsr2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsr2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsr2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsr2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSdense2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSdense2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDdense2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDdense2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCdense2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCdense2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZdense2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZdense2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsc2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsc2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsc2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsc2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsc2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsc2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsc2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsc2denseNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseXcoo2csrNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/Pointer;IILjcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseXcoo2csrNative
  (JNIEnv *, jclass, jobject, jobject, jint, jint, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseXcsr2cooNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/Pointer;IILjcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseXcsr2cooNative
  (JNIEnv *, jclass, jobject, jobject, jint, jint, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsr2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsr2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsr2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsr2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsr2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsr2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsr2cscNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IIILjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsr2cscNative
  (JNIEnv *, jclass, jobject, jint, jint, jint, jobject, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseSdense2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseSdense2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDdense2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDdense2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCdense2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCdense2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZdense2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;ILjcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZdense2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jint, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseShyb2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseShyb2denseNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDhyb2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDhyb2denseNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseChyb2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseChyb2denseNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZhyb2denseNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;Ljcuda/jcusparse/cusparseMatDescr;Ljcuda/jcusparse/cusparseHybMat;Ljcuda/Pointer;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZhyb2denseNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jobject, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseScsr2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseScsr2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseDcsr2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseDcsr2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseCcsr2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseCcsr2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint, jint);

/*
 * Class:     jcuda_jcusparse_JCusparse2
 * Method:    cusparseZcsr2hybNative
 * Signature: (Ljcuda/jcusparse/cusparseHandle;IILjcuda/jcusparse/cusparseMatDescr;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/jcusparse/cusparseHybMat;II)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcusparse_JCusparse2_cusparseZcsr2hybNative
  (JNIEnv *, jclass, jobject, jint, jint, jobject, jobject, jobject, jobject, jobject, jint, jint);

#ifdef __cplusplus
}
#endif
#endif
